Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network192.168.0.0/16
Usable hosts65,534
Subnet mask255.255.0.0
Addresses65,536
Network address
192.168.0.0
Broadcast address
192.168.255.255
First usable
192.168.0.1
Last usable
192.168.255.254
Usable hosts
65,534 (65,536 less the network and broadcast addresses)
Subnet mask
255.255.0.0
Wildcard mask
0.0.255.255 (Cisco ACLs, OSPF)
Prefix length
/16
Type
Private (RFC 1918) 192.168.0.0/16
Office and home networks; not routed on the internet
Old class
C (default /24)
As numbers
Hex C0A80000 · Integer 3232235520 to 3232301055
Reverse DNS zone
168.192.in-addr.arpa
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11000000.10101000..00000000.00000000192.168.0.0
Subnet mask11111111.11111111..00000000.00000000255.255.0.0
Network11000000.10101000..00000000.00000000192.168.0.0
Broadcast11000000.10101000..11111111.11111111192.168.255.255
Split into smaller subnets/24

192.168.0.0/16 makes 256 subnets of /24.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1192.168.0.0/24192.168.0.1 to 192.168.0.254192.168.0.255254
2192.168.1.0/24192.168.1.1 to 192.168.1.254192.168.1.255254
3192.168.2.0/24192.168.2.1 to 192.168.2.254192.168.2.255254
4192.168.3.0/24192.168.3.1 to 192.168.3.254192.168.3.255254
5192.168.4.0/24192.168.4.1 to 192.168.4.254192.168.4.255254
6192.168.5.0/24192.168.5.1 to 192.168.5.254192.168.5.255254
7192.168.6.0/24192.168.6.1 to 192.168.6.254192.168.6.255254
8192.168.7.0/24192.168.7.1 to 192.168.7.254192.168.7.255254
9192.168.8.0/24192.168.8.1 to 192.168.8.254192.168.8.255254
10192.168.9.0/24192.168.9.1 to 192.168.9.254192.168.9.255254
11192.168.10.0/24192.168.10.1 to 192.168.10.254192.168.10.255254
12192.168.11.0/24192.168.11.1 to 192.168.11.254192.168.11.255254
13192.168.12.0/24192.168.12.1 to 192.168.12.254192.168.12.255254
14192.168.13.0/24192.168.13.1 to 192.168.13.254192.168.13.255254
15192.168.14.0/24192.168.14.1 to 192.168.14.254192.168.14.255254
16192.168.15.0/24192.168.15.1 to 192.168.15.254192.168.15.255254
17192.168.16.0/24192.168.16.1 to 192.168.16.254192.168.16.255254
18192.168.17.0/24192.168.17.1 to 192.168.17.254192.168.17.255254
19192.168.18.0/24192.168.18.1 to 192.168.18.254192.168.18.255254
20192.168.19.0/24192.168.19.1 to 192.168.19.254192.168.19.255254
21192.168.20.0/24192.168.20.1 to 192.168.20.254192.168.20.255254
22192.168.21.0/24192.168.21.1 to 192.168.21.254192.168.21.255254
23192.168.22.0/24192.168.22.1 to 192.168.22.254192.168.22.255254
24192.168.23.0/24192.168.23.1 to 192.168.23.254192.168.23.255254
25192.168.24.0/24192.168.24.1 to 192.168.24.254192.168.24.255254
26192.168.25.0/24192.168.25.1 to 192.168.25.254192.168.25.255254
27192.168.26.0/24192.168.26.1 to 192.168.26.254192.168.26.255254
28192.168.27.0/24192.168.27.1 to 192.168.27.254192.168.27.255254
29192.168.28.0/24192.168.28.1 to 192.168.28.254192.168.28.255254
30192.168.29.0/24192.168.29.1 to 192.168.29.254192.168.29.255254
31192.168.30.0/24192.168.30.1 to 192.168.30.254192.168.30.255254
32192.168.31.0/24192.168.31.1 to 192.168.31.254192.168.31.255254
33192.168.32.0/24192.168.32.1 to 192.168.32.254192.168.32.255254
34192.168.33.0/24192.168.33.1 to 192.168.33.254192.168.33.255254
35192.168.34.0/24192.168.34.1 to 192.168.34.254192.168.34.255254
36192.168.35.0/24192.168.35.1 to 192.168.35.254192.168.35.255254
37192.168.36.0/24192.168.36.1 to 192.168.36.254192.168.36.255254
38192.168.37.0/24192.168.37.1 to 192.168.37.254192.168.37.255254
39192.168.38.0/24192.168.38.1 to 192.168.38.254192.168.38.255254
40192.168.39.0/24192.168.39.1 to 192.168.39.254192.168.39.255254
41192.168.40.0/24192.168.40.1 to 192.168.40.254192.168.40.255254
42192.168.41.0/24192.168.41.1 to 192.168.41.254192.168.41.255254
43192.168.42.0/24192.168.42.1 to 192.168.42.254192.168.42.255254
44192.168.43.0/24192.168.43.1 to 192.168.43.254192.168.43.255254
45192.168.44.0/24192.168.44.1 to 192.168.44.254192.168.44.255254
46192.168.45.0/24192.168.45.1 to 192.168.45.254192.168.45.255254
47192.168.46.0/24192.168.46.1 to 192.168.46.254192.168.46.255254
48192.168.47.0/24192.168.47.1 to 192.168.47.254192.168.47.255254
49192.168.48.0/24192.168.48.1 to 192.168.48.254192.168.48.255254
50192.168.49.0/24192.168.49.1 to 192.168.49.254192.168.49.255254
51192.168.50.0/24192.168.50.1 to 192.168.50.254192.168.50.255254
52192.168.51.0/24192.168.51.1 to 192.168.51.254192.168.51.255254
53192.168.52.0/24192.168.52.1 to 192.168.52.254192.168.52.255254
54192.168.53.0/24192.168.53.1 to 192.168.53.254192.168.53.255254
55192.168.54.0/24192.168.54.1 to 192.168.54.254192.168.54.255254
56192.168.55.0/24192.168.55.1 to 192.168.55.254192.168.55.255254
57192.168.56.0/24192.168.56.1 to 192.168.56.254192.168.56.255254
58192.168.57.0/24192.168.57.1 to 192.168.57.254192.168.57.255254
59192.168.58.0/24192.168.58.1 to 192.168.58.254192.168.58.255254
60192.168.59.0/24192.168.59.1 to 192.168.59.254192.168.59.255254
61192.168.60.0/24192.168.60.1 to 192.168.60.254192.168.60.255254
62192.168.61.0/24192.168.61.1 to 192.168.61.254192.168.61.255254
63192.168.62.0/24192.168.62.1 to 192.168.62.254192.168.62.255254
64192.168.63.0/24192.168.63.1 to 192.168.63.254192.168.63.255254
65192.168.64.0/24192.168.64.1 to 192.168.64.254192.168.64.255254
66192.168.65.0/24192.168.65.1 to 192.168.65.254192.168.65.255254
67192.168.66.0/24192.168.66.1 to 192.168.66.254192.168.66.255254
68192.168.67.0/24192.168.67.1 to 192.168.67.254192.168.67.255254
69192.168.68.0/24192.168.68.1 to 192.168.68.254192.168.68.255254
70192.168.69.0/24192.168.69.1 to 192.168.69.254192.168.69.255254
71192.168.70.0/24192.168.70.1 to 192.168.70.254192.168.70.255254
72192.168.71.0/24192.168.71.1 to 192.168.71.254192.168.71.255254
73192.168.72.0/24192.168.72.1 to 192.168.72.254192.168.72.255254
74192.168.73.0/24192.168.73.1 to 192.168.73.254192.168.73.255254
75192.168.74.0/24192.168.74.1 to 192.168.74.254192.168.74.255254
76192.168.75.0/24192.168.75.1 to 192.168.75.254192.168.75.255254
77192.168.76.0/24192.168.76.1 to 192.168.76.254192.168.76.255254
78192.168.77.0/24192.168.77.1 to 192.168.77.254192.168.77.255254
79192.168.78.0/24192.168.78.1 to 192.168.78.254192.168.78.255254
80192.168.79.0/24192.168.79.1 to 192.168.79.254192.168.79.255254
81192.168.80.0/24192.168.80.1 to 192.168.80.254192.168.80.255254
82192.168.81.0/24192.168.81.1 to 192.168.81.254192.168.81.255254
83192.168.82.0/24192.168.82.1 to 192.168.82.254192.168.82.255254
84192.168.83.0/24192.168.83.1 to 192.168.83.254192.168.83.255254
85192.168.84.0/24192.168.84.1 to 192.168.84.254192.168.84.255254
86192.168.85.0/24192.168.85.1 to 192.168.85.254192.168.85.255254
87192.168.86.0/24192.168.86.1 to 192.168.86.254192.168.86.255254
88192.168.87.0/24192.168.87.1 to 192.168.87.254192.168.87.255254
89192.168.88.0/24192.168.88.1 to 192.168.88.254192.168.88.255254
90192.168.89.0/24192.168.89.1 to 192.168.89.254192.168.89.255254
91192.168.90.0/24192.168.90.1 to 192.168.90.254192.168.90.255254
92192.168.91.0/24192.168.91.1 to 192.168.91.254192.168.91.255254
93192.168.92.0/24192.168.92.1 to 192.168.92.254192.168.92.255254
94192.168.93.0/24192.168.93.1 to 192.168.93.254192.168.93.255254
95192.168.94.0/24192.168.94.1 to 192.168.94.254192.168.94.255254
96192.168.95.0/24192.168.95.1 to 192.168.95.254192.168.95.255254
97192.168.96.0/24192.168.96.1 to 192.168.96.254192.168.96.255254
98192.168.97.0/24192.168.97.1 to 192.168.97.254192.168.97.255254
99192.168.98.0/24192.168.98.1 to 192.168.98.254192.168.98.255254
100192.168.99.0/24192.168.99.1 to 192.168.99.254192.168.99.255254
101192.168.100.0/24192.168.100.1 to 192.168.100.254192.168.100.255254
102192.168.101.0/24192.168.101.1 to 192.168.101.254192.168.101.255254
103192.168.102.0/24192.168.102.1 to 192.168.102.254192.168.102.255254
104192.168.103.0/24192.168.103.1 to 192.168.103.254192.168.103.255254
105192.168.104.0/24192.168.104.1 to 192.168.104.254192.168.104.255254
106192.168.105.0/24192.168.105.1 to 192.168.105.254192.168.105.255254
107192.168.106.0/24192.168.106.1 to 192.168.106.254192.168.106.255254
108192.168.107.0/24192.168.107.1 to 192.168.107.254192.168.107.255254
109192.168.108.0/24192.168.108.1 to 192.168.108.254192.168.108.255254
110192.168.109.0/24192.168.109.1 to 192.168.109.254192.168.109.255254
111192.168.110.0/24192.168.110.1 to 192.168.110.254192.168.110.255254
112192.168.111.0/24192.168.111.1 to 192.168.111.254192.168.111.255254
113192.168.112.0/24192.168.112.1 to 192.168.112.254192.168.112.255254
114192.168.113.0/24192.168.113.1 to 192.168.113.254192.168.113.255254
115192.168.114.0/24192.168.114.1 to 192.168.114.254192.168.114.255254
116192.168.115.0/24192.168.115.1 to 192.168.115.254192.168.115.255254
117192.168.116.0/24192.168.116.1 to 192.168.116.254192.168.116.255254
118192.168.117.0/24192.168.117.1 to 192.168.117.254192.168.117.255254
119192.168.118.0/24192.168.118.1 to 192.168.118.254192.168.118.255254
120192.168.119.0/24192.168.119.1 to 192.168.119.254192.168.119.255254
121192.168.120.0/24192.168.120.1 to 192.168.120.254192.168.120.255254
122192.168.121.0/24192.168.121.1 to 192.168.121.254192.168.121.255254
123192.168.122.0/24192.168.122.1 to 192.168.122.254192.168.122.255254
124192.168.123.0/24192.168.123.1 to 192.168.123.254192.168.123.255254
125192.168.124.0/24192.168.124.1 to 192.168.124.254192.168.124.255254
126192.168.125.0/24192.168.125.1 to 192.168.125.254192.168.125.255254
127192.168.126.0/24192.168.126.1 to 192.168.126.254192.168.126.255254
128192.168.127.0/24192.168.127.1 to 192.168.127.254192.168.127.255254
129192.168.128.0/24192.168.128.1 to 192.168.128.254192.168.128.255254
130192.168.129.0/24192.168.129.1 to 192.168.129.254192.168.129.255254
131192.168.130.0/24192.168.130.1 to 192.168.130.254192.168.130.255254
132192.168.131.0/24192.168.131.1 to 192.168.131.254192.168.131.255254
133192.168.132.0/24192.168.132.1 to 192.168.132.254192.168.132.255254
134192.168.133.0/24192.168.133.1 to 192.168.133.254192.168.133.255254
135192.168.134.0/24192.168.134.1 to 192.168.134.254192.168.134.255254
136192.168.135.0/24192.168.135.1 to 192.168.135.254192.168.135.255254
137192.168.136.0/24192.168.136.1 to 192.168.136.254192.168.136.255254
138192.168.137.0/24192.168.137.1 to 192.168.137.254192.168.137.255254
139192.168.138.0/24192.168.138.1 to 192.168.138.254192.168.138.255254
140192.168.139.0/24192.168.139.1 to 192.168.139.254192.168.139.255254
141192.168.140.0/24192.168.140.1 to 192.168.140.254192.168.140.255254
142192.168.141.0/24192.168.141.1 to 192.168.141.254192.168.141.255254
143192.168.142.0/24192.168.142.1 to 192.168.142.254192.168.142.255254
144192.168.143.0/24192.168.143.1 to 192.168.143.254192.168.143.255254
145192.168.144.0/24192.168.144.1 to 192.168.144.254192.168.144.255254
146192.168.145.0/24192.168.145.1 to 192.168.145.254192.168.145.255254
147192.168.146.0/24192.168.146.1 to 192.168.146.254192.168.146.255254
148192.168.147.0/24192.168.147.1 to 192.168.147.254192.168.147.255254
149192.168.148.0/24192.168.148.1 to 192.168.148.254192.168.148.255254
150192.168.149.0/24192.168.149.1 to 192.168.149.254192.168.149.255254
151192.168.150.0/24192.168.150.1 to 192.168.150.254192.168.150.255254
152192.168.151.0/24192.168.151.1 to 192.168.151.254192.168.151.255254
153192.168.152.0/24192.168.152.1 to 192.168.152.254192.168.152.255254
154192.168.153.0/24192.168.153.1 to 192.168.153.254192.168.153.255254
155192.168.154.0/24192.168.154.1 to 192.168.154.254192.168.154.255254
156192.168.155.0/24192.168.155.1 to 192.168.155.254192.168.155.255254
157192.168.156.0/24192.168.156.1 to 192.168.156.254192.168.156.255254
158192.168.157.0/24192.168.157.1 to 192.168.157.254192.168.157.255254
159192.168.158.0/24192.168.158.1 to 192.168.158.254192.168.158.255254
160192.168.159.0/24192.168.159.1 to 192.168.159.254192.168.159.255254
161192.168.160.0/24192.168.160.1 to 192.168.160.254192.168.160.255254
162192.168.161.0/24192.168.161.1 to 192.168.161.254192.168.161.255254
163192.168.162.0/24192.168.162.1 to 192.168.162.254192.168.162.255254
164192.168.163.0/24192.168.163.1 to 192.168.163.254192.168.163.255254
165192.168.164.0/24192.168.164.1 to 192.168.164.254192.168.164.255254
166192.168.165.0/24192.168.165.1 to 192.168.165.254192.168.165.255254
167192.168.166.0/24192.168.166.1 to 192.168.166.254192.168.166.255254
168192.168.167.0/24192.168.167.1 to 192.168.167.254192.168.167.255254
169192.168.168.0/24192.168.168.1 to 192.168.168.254192.168.168.255254
170192.168.169.0/24192.168.169.1 to 192.168.169.254192.168.169.255254
171192.168.170.0/24192.168.170.1 to 192.168.170.254192.168.170.255254
172192.168.171.0/24192.168.171.1 to 192.168.171.254192.168.171.255254
173192.168.172.0/24192.168.172.1 to 192.168.172.254192.168.172.255254
174192.168.173.0/24192.168.173.1 to 192.168.173.254192.168.173.255254
175192.168.174.0/24192.168.174.1 to 192.168.174.254192.168.174.255254
176192.168.175.0/24192.168.175.1 to 192.168.175.254192.168.175.255254
177192.168.176.0/24192.168.176.1 to 192.168.176.254192.168.176.255254
178192.168.177.0/24192.168.177.1 to 192.168.177.254192.168.177.255254
179192.168.178.0/24192.168.178.1 to 192.168.178.254192.168.178.255254
180192.168.179.0/24192.168.179.1 to 192.168.179.254192.168.179.255254
181192.168.180.0/24192.168.180.1 to 192.168.180.254192.168.180.255254
182192.168.181.0/24192.168.181.1 to 192.168.181.254192.168.181.255254
183192.168.182.0/24192.168.182.1 to 192.168.182.254192.168.182.255254
184192.168.183.0/24192.168.183.1 to 192.168.183.254192.168.183.255254
185192.168.184.0/24192.168.184.1 to 192.168.184.254192.168.184.255254
186192.168.185.0/24192.168.185.1 to 192.168.185.254192.168.185.255254
187192.168.186.0/24192.168.186.1 to 192.168.186.254192.168.186.255254
188192.168.187.0/24192.168.187.1 to 192.168.187.254192.168.187.255254
189192.168.188.0/24192.168.188.1 to 192.168.188.254192.168.188.255254
190192.168.189.0/24192.168.189.1 to 192.168.189.254192.168.189.255254
191192.168.190.0/24192.168.190.1 to 192.168.190.254192.168.190.255254
192192.168.191.0/24192.168.191.1 to 192.168.191.254192.168.191.255254
193192.168.192.0/24192.168.192.1 to 192.168.192.254192.168.192.255254
194192.168.193.0/24192.168.193.1 to 192.168.193.254192.168.193.255254
195192.168.194.0/24192.168.194.1 to 192.168.194.254192.168.194.255254
196192.168.195.0/24192.168.195.1 to 192.168.195.254192.168.195.255254
197192.168.196.0/24192.168.196.1 to 192.168.196.254192.168.196.255254
198192.168.197.0/24192.168.197.1 to 192.168.197.254192.168.197.255254
199192.168.198.0/24192.168.198.1 to 192.168.198.254192.168.198.255254
200192.168.199.0/24192.168.199.1 to 192.168.199.254192.168.199.255254
201192.168.200.0/24192.168.200.1 to 192.168.200.254192.168.200.255254
202192.168.201.0/24192.168.201.1 to 192.168.201.254192.168.201.255254
203192.168.202.0/24192.168.202.1 to 192.168.202.254192.168.202.255254
204192.168.203.0/24192.168.203.1 to 192.168.203.254192.168.203.255254
205192.168.204.0/24192.168.204.1 to 192.168.204.254192.168.204.255254
206192.168.205.0/24192.168.205.1 to 192.168.205.254192.168.205.255254
207192.168.206.0/24192.168.206.1 to 192.168.206.254192.168.206.255254
208192.168.207.0/24192.168.207.1 to 192.168.207.254192.168.207.255254
209192.168.208.0/24192.168.208.1 to 192.168.208.254192.168.208.255254
210192.168.209.0/24192.168.209.1 to 192.168.209.254192.168.209.255254
211192.168.210.0/24192.168.210.1 to 192.168.210.254192.168.210.255254
212192.168.211.0/24192.168.211.1 to 192.168.211.254192.168.211.255254
213192.168.212.0/24192.168.212.1 to 192.168.212.254192.168.212.255254
214192.168.213.0/24192.168.213.1 to 192.168.213.254192.168.213.255254
215192.168.214.0/24192.168.214.1 to 192.168.214.254192.168.214.255254
216192.168.215.0/24192.168.215.1 to 192.168.215.254192.168.215.255254
217192.168.216.0/24192.168.216.1 to 192.168.216.254192.168.216.255254
218192.168.217.0/24192.168.217.1 to 192.168.217.254192.168.217.255254
219192.168.218.0/24192.168.218.1 to 192.168.218.254192.168.218.255254
220192.168.219.0/24192.168.219.1 to 192.168.219.254192.168.219.255254
221192.168.220.0/24192.168.220.1 to 192.168.220.254192.168.220.255254
222192.168.221.0/24192.168.221.1 to 192.168.221.254192.168.221.255254
223192.168.222.0/24192.168.222.1 to 192.168.222.254192.168.222.255254
224192.168.223.0/24192.168.223.1 to 192.168.223.254192.168.223.255254
225192.168.224.0/24192.168.224.1 to 192.168.224.254192.168.224.255254
226192.168.225.0/24192.168.225.1 to 192.168.225.254192.168.225.255254
227192.168.226.0/24192.168.226.1 to 192.168.226.254192.168.226.255254
228192.168.227.0/24192.168.227.1 to 192.168.227.254192.168.227.255254
229192.168.228.0/24192.168.228.1 to 192.168.228.254192.168.228.255254
230192.168.229.0/24192.168.229.1 to 192.168.229.254192.168.229.255254
231192.168.230.0/24192.168.230.1 to 192.168.230.254192.168.230.255254
232192.168.231.0/24192.168.231.1 to 192.168.231.254192.168.231.255254
233192.168.232.0/24192.168.232.1 to 192.168.232.254192.168.232.255254
234192.168.233.0/24192.168.233.1 to 192.168.233.254192.168.233.255254
235192.168.234.0/24192.168.234.1 to 192.168.234.254192.168.234.255254
236192.168.235.0/24192.168.235.1 to 192.168.235.254192.168.235.255254
237192.168.236.0/24192.168.236.1 to 192.168.236.254192.168.236.255254
238192.168.237.0/24192.168.237.1 to 192.168.237.254192.168.237.255254
239192.168.238.0/24192.168.238.1 to 192.168.238.254192.168.238.255254
240192.168.239.0/24192.168.239.1 to 192.168.239.254192.168.239.255254
241192.168.240.0/24192.168.240.1 to 192.168.240.254192.168.240.255254
242192.168.241.0/24192.168.241.1 to 192.168.241.254192.168.241.255254
243192.168.242.0/24192.168.242.1 to 192.168.242.254192.168.242.255254
244192.168.243.0/24192.168.243.1 to 192.168.243.254192.168.243.255254
245192.168.244.0/24192.168.244.1 to 192.168.244.254192.168.244.255254
246192.168.245.0/24192.168.245.1 to 192.168.245.254192.168.245.255254
247192.168.246.0/24192.168.246.1 to 192.168.246.254192.168.246.255254
248192.168.247.0/24192.168.247.1 to 192.168.247.254192.168.247.255254
249192.168.248.0/24192.168.248.1 to 192.168.248.254192.168.248.255254
250192.168.249.0/24192.168.249.1 to 192.168.249.254192.168.249.255254
251192.168.250.0/24192.168.250.1 to 192.168.250.254192.168.250.255254
252192.168.251.0/24192.168.251.1 to 192.168.251.254192.168.251.255254
253192.168.252.0/24192.168.252.1 to 192.168.252.254192.168.252.255254
254192.168.253.0/24192.168.253.1 to 192.168.253.254192.168.253.255254
255192.168.254.0/24192.168.254.1 to 192.168.254.254192.168.254.255254
256192.168.255.0/24192.168.255.1 to 192.168.255.254192.168.255.255254

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses